Package org.zkoss.bind.impl

## Class AccessInfo

- java.lang.Object
- - org.zkoss.bind.impl.AccessInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AccessInfo
      extends java.lang.Object
      implements java.io.Serializable

  Represent an load/save binding expression

  e.g. "load = property (before|after) command" "save = property (before|after) command"

  Since:
    6.0.0
  Author:
    henrichen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AccessInfo​(ExpressionX property, ConditionType type, java.lang.String command)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AccessInfo` | `create​(Binding binding, java.lang.String accessExpr, java.lang.Class<?> expectedType, ConditionType type, java.lang.String command, boolean ignoreTracker)` |
    `java.lang.String` | `getCommandName()` |
    `ConditionType` | `getConditionType()` |
    `ExpressionX` | `getProperty()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessInfo

          public AccessInfo​(ExpressionX property,
                            ConditionType type,
                            java.lang.String command)

  - ### Method Detail

    - #### getCommandName

          public java.lang.String getCommandName()

    - #### getConditionType

          public ConditionType getConditionType()

    - #### getProperty

          public ExpressionX getProperty()

    - #### create

          public static AccessInfo create​(Binding binding,
                                          java.lang.String accessExpr,
                                          java.lang.Class<?> expectedType,
                                          ConditionType type,
                                          java.lang.String command,
                                          boolean ignoreTracker)